#---------------------------------------------------------------------
# 
# A QGIS plugin for creating new postgis layers.
#
# Copyright (C) 2008  Maciej Sieczka
#
# EMAIL: tutey at o2 dot pl
#
#---------------------------------------------------------------------
# 
# licensed under the terms of GNU GPL 2
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
# 
#---------------------------------------------------------------------

from PyQt4.QtGui import *
from PyQt4.QtCore import *

from main_gui import *

from qgis.core import *

class QgisPostgis:

  def __init__(self, iface):
  
    self.iface=iface
    


  def initGui(self):
    self.action = QAction(QIcon(":/create_postgis_layer.png"), "Create new PostGIS layer", self.iface.getMainWindow())
    self.action.setWhatsThis("Create new PostGIS layer")

    QObject.connect(self.action, SIGNAL("activated()"), self.run)
    self.iface.addToolBarIcon(self.action)
    self.iface.addPluginMenu("Create new PostGIS layer", self.action)
  
  def unload(self):
    # remove from toolbar
    self.iface.removePluginMenu("Create new PostGIS layer",self.action)
    self.iface.removeToolBarIcon(self.action)
  
  def run(self):
    # print something
    #print "Whatever."
    flags = Qt.WindowTitleHint | Qt.WindowSystemMenuHint | Qt.WindowMaximizeButtonHint  # QgisGui.ModalDialogFlags
    self.pluginGui = NewPostgisLayer(self.iface.getMainWindow(), flags)
    #self.pluginGui = TreeModel(self.iface.getMainWindow(), flags)
    
    self.pluginGui.show()
    
    #self.pluginGui = pluginGui # save
